Bug 142783 - ifup routing table incorrect for wireless pcmcia
ifup routing table incorrect for wireless pcmcia
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 20:40 EST by Jared Jones
Modified: 2014-03-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-14 13:29:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Laptop's FC3 wireless ifcfg-eth0 (102 bytes, text/plain)
2004-12-13 23:13 EST, Jared Jones
no flags Details
RH-8 server's dhcpd.conf file (version dhcp-3.0pl1-26) (1.20 KB, text/plain)
2004-12-14 12:18 EST, Jared Jones
no flags Details

  None (edit)
Description Jared Jones 2004-12-13 20:40:55 EST
Description of problem:
I have a RedHat-8.0 server/router/wap which has a subnet (192.168.1.0)
for my wired LAN and a subnet (192.168.2.0) for my wireless LAN.  It
works for wired and wireless Windows clients.

On bootup, my prism54 PCMCIA wireless card has an incorrect routing
table for my network.  I can ping 192.168.2.1 (server's wireless card
in Master mode).  I cannot ping 192.168.1.1 (server's wired card), any
wired machine, nor the Internet.

The same routing table is setup after I do `ifdown eth0; ifup eth` at
the command line; in addition to the routing table, it gives
SIOCADDRT: Network is unreachable.  dhclient is unable to get a lease
due to no route being available.



Version-Release number of selected component (if applicable):


How reproducible:
Every time on bootup.  Every time on command line.

Steps to Reproduce:
1. Boot up machine.
2. OR
3. /sbin/ifdown eth0; /sbin/ifup eth0
  
Actual results:
`iwconfig` stuff is all correct (essid, wep key, etc.)
Routing table:
192.168.2.0 * 255.255.255.0 eth0
169.254.0.0 * 255.255.0.0   eth0


Expected results:
It should be able to ping the server's wired nic, other wired
machines, and the Internet.  The routing table should be setup
correctly, which would allow dhclient to work and get a lease.

Additional info:
I am able to work around this issue by manually setting up the routing
table.  Shouldn't ifup do this automatically?  Or is it because my
network is a special case?  Thanks!

ifdown eth0
iwconfig <all that stuff like essid, wep key, etc.>
route add 192.168.1.1 eth0
route add default eth0
dhclient eth0

OR

ifdown eth0
ifup eth0 (this adds route 192.168.2.0)
route add 192.168.1.1 eth0
route add default eth0
dhclient eth0
Comment 1 Bill Nottingham 2004-12-13 20:43:32 EST
Your configuration has no default route as posted.

Note that Red Hat 8.0 Linux is EOL and is no longer supported.
Comment 2 Jared Jones 2004-12-13 21:35:32 EST
My apologies I was not explicit in saying that my laptop is running
Fedora Core 3 and uses the prism54 pcmcia wireless adapter.  The
problem is not RH-8.  The problem is that /sbin/ifup on FC3 is not
setting up a default route.  It only adds 192.168.2.0.  I have to
manually add 192.168.1.1 and manually add the default route.

Shouldn't ifup do everything for me?  As it is now, I cannot boot with
my wireless pcmcia card working.  I need to hack more commands to make
it work.  Any help is appreciated, thanks!
Comment 3 Bill Nottingham 2004-12-13 22:01:31 EST
Please attach /etc/sysconfig/network-scripts/ifcfg-eth0.
Comment 4 Jared Jones 2004-12-13 23:13:58 EST
Created attachment 108493 [details]
Laptop's FC3 wireless ifcfg-eth0
Comment 5 Bill Nottingham 2004-12-14 12:01:29 EST
What's your dhcp conf file look like?
Comment 6 Jared Jones 2004-12-14 12:18:01 EST
Created attachment 108536 [details]
RH-8 server's dhcpd.conf file (version dhcp-3.0pl1-26)
Comment 7 Bill Nottingham 2004-12-14 13:29:47 EST
You should probably set the 192.168.2.0 network to pass the router for
whatever interface your server has on the 192.168.2.0 network.

Note You need to log in before you can comment on or make changes to this bug.